istream File Reference

Go to the source code of this file.

## Classes

class | std::basic_iostream< _CharT, _Traits >
class | std::basic_istream< _CharT, _Traits >
class | std::basic_istream< _CharT, _Traits >::sentry

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_ISTREAM

## Functions

template<typename _CharT , typename _Traits , typename _Tp >
basic_istream< _CharT, _Traits > & | std::operator>> (basic_istream< _CharT, _Traits > &&__is, _Tp &__x)
template<typename _CharT , typename _Traits >
basic_istream< _CharT, _Traits > & | std::ws (basic_istream< _CharT, _Traits > &__is)
template<typename _CharT , typename _Traits >
basic_istream< _CharT, _Traits > & | std::operator>> (basic_istream< _CharT, _Traits > &__in, _CharT &__c)
template<class _Traits >
basic_istream< char, _Traits > & | std::operator>> (basic_istream< char, _Traits > &__in, unsigned char &__c)
template<class _Traits >
basic_istream< char, _Traits > & | std::operator>> (basic_istream< char, _Traits > &__in, signed char &__c)
template<typename _CharT , typename _Traits >
basic_istream< _CharT, _Traits > & | std::operator>> (basic_istream< _CharT, _Traits > &__in, _CharT *__s)
template<>
basic_istream< char > & | std::operator>> (basic_istream< char > &__in, char *__s)
template<class _Traits >
basic_istream< char, _Traits > & | std::operator>> (basic_istream< char, _Traits > &__in, unsigned char *__s)
template<class _Traits >
basic_istream< char, _Traits > & | std::operator>> (basic_istream< char, _Traits > &__in, signed char *__s)

## Detailed Description

This is a Standard C++ Library header.

Definition in file istream.